DRM_MODE_PRUNE_INVAL(9)

NAME
drm_mode_prune_invalid - remove invalid modes from mode list

SYNOPSIS

void drm_mode_prune_invalid(struct drm_device * dev, struct list_head * mode_list, bool verbose);

ARGUMENTS

dev
    DRM device

mode_list
    list of modes to check

verbose
    be verbose about it

DESCRIPTION

This helper function can be used to prune a display mode list after validation has been completed. All modes who's status is not MODE_OK will be removed from the list, and if verbose the status code and mode name is also printed to dmesg.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT